### Method

# Camel Folder cmp_uids

since: 2.28

#### Declaration [src]

    gint
    camel_folder_cmp_uids (
      CamelFolder* folder,
      const gchar* uid1,
      const gchar* uid2
    )

#### Description [src]

Compares two uids. The return value meaning is the same as in any other compare function.

Note that the default compare function expects a decimal number at the beginning of a uid, thus if provider uses different uid values, then it should subclass this function.

Available since: 2.28

#### Parameters

`uid1`

  Type: `const gchar*`

  The first uid.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`uid2`

  Type: `const gchar*`

  The second uid.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

No description available.